Skip to content


Subversion checkout URL

You can clone with
Download ZIP


mark-moseley edited this page · 41 revisions

Linux installation instructions, Ruby 1.9.1 and 1.9.2:

First, run:

gem list

Make sure you don’t have columnize, linecache, ruby-debug-base, ruby-debug, or ruby-debug-ide. If you do, uninstall them. Then, determine which directories are included in your gems path:

gem env gempath

Append /gems to each one (they’re delimited by a semicolon), and then cd to each directory. Make sure that that there are no directories that start with columnize, linecache, ruby-debug-base, ruby-debug, or ruby-debug-ide. If there are, remove them with “rm -rf”.


sudo gem install mark-moseley-ruby-debug-base --source


sudo gem install ruby-debug --ignore-dependencies

Windows installation instructions, Ruby 1.9.1-p129 only:

1. Install 1.9.1p129 from here. Note the disclaimer at the top of the page.

2. Install the Development Kit from the same page. If you don’t have 7-Zip, get it here. Extract, and follow the instructions in the INSTALL file. If you had installed Ruby in c:\ruby, and, extracted this kit into there also, then you don’t need to do anything.

3. Run:

gem install mark-moseley-ruby-debug-base --source

4. Finally:

gem install ruby-debug --ignore-dependencies

Mac OSX, Ruby 1.9.1-p129:

Installation program here. Assumes you have the latest Ruby 1.9 installed via MacPorts.

ruby-debug-ide installation (all platforms)

Download the gem from here. Put it in a local directory, and from that directory, run:

gem install ruby-debug-ide -l --ignore-dependencies

Something went wrong with that request. Please try again.